import request from '@/utils/request'

//积分加减
export function addSub(data) {
  return request({
    url: '/mall-integral/addSub',
    method: 'post',
    data
  })
}

export function pointRulesTypeList(data) {
  return request({
    url: '/mall-integral/getTypes',
    method: 'get',
    data
  })
}

export function getPointRulesList(query) {
  return request({
    url: '/mall-integral/page',
    method: 'get',
    params:query
  })
}

export function pointRulesCreateItem(data) {
  return request({
    url: '/mall-integral/add',
    method: 'post',
    data
  })
}

export function pointRulesUpdateItem(data) {
  return request({
    url: '/mall-integral/edit',
    method: 'post',
    data
  })
}

export function pointRulesState(query) {
  return request({
    url: '/mall-integral/modify/status',
    method: 'post',
    params:query
  })
}

export function updatePointRulesItem(data) {
  return request({
    url: '/news/delete',
    method: 'post',
    data
  })
}

export function getPointList(query) {
  return request({
    url: '/mall-integral/user/page',
    method: 'get',
    params:query
  })
}

export function getPointDetailList(query) {
  return request({
    url: '/mall-integral/details/page',
    method: 'get',
    params:query
  })
}

export function getItemPointList(query) {
  return request({
    url: '/mall-integral/user/log',
    method: 'get',
    params:query
  })
}


